<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_d9040256bff96ad2c221f79439e0" . "560c" => base64_decode("Q2xlYXJpbmcgZGly" . "ZWN0b3J5IA=="), "_8368ecd0faa75c04b4e" . "54eac3bd45d63" => base64_decode("Q2xlYXJpbmcgb" . "G9jYWxpemF0aW" . "9uIGNhY2hl"), "_2ac6cb432a5df959efdf" . "fbcd288d0745" => base64_decode("Q2xlYXJpbmcgdGVtcG" . "xhdGVyIGNhY2hl"), "_22ac6aae2762e0f310c" . "495384c477dc8" => base64_decode("Lmdpd" . "GtlZX" . "A="), "_edd716f0bae" . "dc2427c121be" . "529bf222d" => base64_decode("Q2xlYXJpbmcgYWxsIGxvY2FsIGNhY2hlcw" . "=="), "_3d13c2fddaab71a09eeaf22607f" . "1db0f" => base64_decode("Q2xlYXJpbmc" . "gYWxsIHNoYX" . "JlZCBjYWNoZ" . "XM="), "_db7b295" . "629faa16" . "027a2c26" . "3095eba7" . "0" => base64_decode("cGhwX3" . "NhcGlf" . "bmFtZQ" . "=="), "_282505db60b6a6" . "0f1a0c54a0f8c27" . "092" => base64_decode("VEVNUExBVEVSX0NBQ0hFX0RJ" . "Ug=="), "_f02edf67305f5d984784e5a6" . "3acb5f0b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbWVtb3J5IGNhY2hlcyAocnVubmluZyBmcm9" . "tIHRoZSBjb21tYW5kIGxpbmUp"), "_db98357e662ee4057f89ee50fd63a" . "2c5" => base64_decode("Q2xlYXJpbmcgc2hhcmVkI" . "GFzc2V0cyBjYWNoZQ=="), "_2935eb8" . "1473a5cd" . "f164ba52" . "dc31d305" . "c" => base64_decode("Q2xlYXJpbmc" . "gbWVtb3J5IG" . "NhY2hlcw=="), "_8fd6da143a742433037d37" . "41c26c9f14" => base64_decode("Q2xlYXJpbmcgbG9jYWwgYX" . "NzZXRzIGNhY2hl"), "_4d707fab93bebb" . "00bbe69e8159697" . "c90" => base64_decode(""), "_8fec21706bd243b37ecf6" . "2b1caf8fb8a" => base64_decode("Y2x" . "p"));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_282505db60b6a60f1a0c5" . "4a0f8c27092"]);
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_edd716f" . "0baedc24" . "27c121be" . "529bf222" . "d"]);
        if ($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_db7b295629faa16027a" . "2c263095eba70"]() !== $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_8fec21706bd243b37ecf62b1caf8fb" . "8a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_f02edf67" . "305f5d984" . "784e5a63a" . "cb5f0b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_3d13c2fddaab71" . "a09eeaf22607f1d" . "b0f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_8368ecd" . "0faa75c0" . "4b4e54ea" . "c3bd45d6" . "3"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_8fd6da143a74243" . "3037d3741c26c9f1" . "4"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_db98357e662ee4057f89ee50fd63" . "a2c5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_2935eb81473a5cdf164ba5" . "2dc31d305c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4d707fab93bebb00bbe69" . "e8159697c90"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_4d707fab93bebb" . "00bbe69e8159697" . "c90"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_2ac6cb432a5df959efdffbcd" . "288d0745"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_d9040256bff96ad2c221f79439e056" . "0c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_22ac6aae2762e0f310c495384c477dc" . "8"]);
    }
}